rfsio.d(1m)

NAME
rfsio.d - read FS I/O stats, with cache miss rate. Uses DTrace.

SYNOPSIS
rfsio.d

DESCRIPTION
This script provides statistics on the number of reads and the bytes read from filesystems (logical), and the number of bytes read from disk (physical). A summary is printed every five seconds by filesystem. A total miss-rate is also provided for the file system cache. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print a summary of activity every five seconds.
    # rfsio.d

IDEA
Richard McDougall, Solaris Internals 2nd Ed, FS Chapter.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
rfsio.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
rfileio.d(1M), dtrace(1M)